commit:     3c8315128f5e3f61824910af10ed37ece92e31c4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 15 09:42:02 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 15 10:51:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c831512

games-emulation/mupen64plus-ui-console: Bump to 2.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-emulation/mupen64plus-ui-console/Manifest    |  1 +
 .../mupen64plus-ui-console-2.6.0.ebuild            | 95 ++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/games-emulation/mupen64plus-ui-console/Manifest 
b/games-emulation/mupen64plus-ui-console/Manifest
index eab78063b766..b0daf3dcc44a 100644
--- a/games-emulation/mupen64plus-ui-console/Manifest
+++ b/games-emulation/mupen64plus-ui-console/Manifest
@@ -1 +1,2 @@
 DIST mupen64plus-ui-console-src-2.5.9.tar.gz 58934 BLAKE2B 
83fb9502ba910af75eff62a45ac490a7281db27cf7df4c666382eb922249e1483cbfcc204e79e3763d047c876558531021360078e81abb7995c855b274e182b9
 SHA512 
60be63e94c8a2e44a8f4f215f667bc980f62bee3ba629af53d281328f45e016dbadfc6b7596ac657fd434b9df283d43b54a058cba2cdce3fef4b865adbedd8ca
+DIST mupen64plus-ui-console-src-2.6.0.tar.gz 63122 BLAKE2B 
108ab9c4f50824e8ca120f5f087413127a21b371768be817f50f2a8dba68997021b3e1394c37f122dc489beba913f81abdd7beb0887f7699bd7fb2bbda34e246
 SHA512 
62b895063b8d0c1839aca6690e395e05fa130a92d69d4e19c3bb0a71d9e7a0dacbb6208f0664e68bf2e35cd78896c0bb90a124df432db84381b030501db7122d

diff --git 
a/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-2.6.0.ebuild 
b/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-2.6.0.ebuild
new file mode 100644
index 000000000000..5d73623d12cb
--- /dev/null
+++ b/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-2.6.0.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg-utils
+
+MY_P=${PN}-src-${PV}
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator, console UI"
+HOMEPAGE="https://www.mupen64plus.org/";
+SRC_URI="
+       
https://github.com/mupen64plus/${PN}/releases/download/${PV}/${MY_P}.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       >=games-emulation/mupen64plus-core-${PV}:0=
+       media-libs/libsdl2:0=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       # avoid implicitly appending CPU flags and -fPIE/-fno-PIE
+       sed -e 's:-mmmx::g' -e 's:-msse::g' \
+               -e 's:-fPIE::g' -e 's:-pie::g' \
+               -e 's:-fno-PIE::g' -e 's:-no-pie::g' \
+               -i projects/unix/Makefile || die
+}
+
+src_compile() {
+       MAKEARGS=(
+               # Note: please keep this in sync in all of mupen64plus-* 
packages
+
+               -C projects/unix
+
+               # this basically means: GNU userspace
+               UNAME=Linux
+
+               # verbose output
+               V=1
+
+               CROSS_COMPILE="${CHOST}-"
+               CC="$(tc-getCC)"
+               CXX="$(tc-getCXX)"
+               PKG_CONFIG="$(tc-getPKG_CONFIG)"
+               # usual CFLAGS, CXXFLAGS and LDFLAGS are respected
+               # so we can leave OPTFLAGS empty
+               OPTFLAGS=
+
+               # paths, some of them are used at compile time
+               PREFIX=/usr
+               LIBDIR=/usr/$(get_libdir)
+
+               # disable unwanted magic
+               LDCONFIG=:
+               INSTALL_STRIP_FLAG=
+
+               # Package-specific stuff
+
+               # CROSS_COMPILE causes it to look for ${CHOST}-sdl2-config...
+               SDL_CFLAGS="$($(tc-getPKG_CONFIG) --cflags sdl2)"
+               SDL_LDLIBS="$($(tc-getPKG_CONFIG) --libs sdl2)"
+       )
+
+       use amd64 && MAKEARGS+=( HOST_CPU=x86_64 )
+       use x86 && MAKEARGS+=( HOST_CPU=i386 )
+
+       emake "${MAKEARGS[@]}" all
+}
+
+src_install() {
+       emake "${MAKEARGS[@]}" DESTDIR="${D}" install
+       dodoc README RELEASE
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to